%define upstream_name    Dist-Zilla-Plugin-Repository
%define upstream_version 0.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Automatically sets repository URL from svn/svk/Git checkout for Dist::Zilla
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.102.340
BuildRequires: perl(Dist::Zilla::Tester) >= 4.102.340
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
The code is mostly a copy-paste of the Module::Install::Repository manpage

ATTRIBUTES
    * * git_remote

      This is the name of the remote to use for the public repository (if
      you use Git). By default, unsurprisingly, to _origin_.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jun 15 2011 jquelin <jquelin> 0.180.0-1.mga2
+ Revision: 106880
- update to 0.18

* Sat Feb 26 2011 jquelin <jquelin> 0.170.0-1.mga1
+ Revision: 60212
- update to 0.17

* Wed Jan 26 2011 jquelin <jquelin> 0.150.0-1.mga1
+ Revision: 40573
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-Repository

